#!/usr/bin/env bash

image=miti.sh
loopback=127.0.0.1

# Make sure to create 'no-internet' network, if it doesn't already exist:
# $ docker network create --internal no-internet
container_id=$(docker run --rm -d -v $(pwd):/opt/app --network no-internet \
  --add-host=miti.sh=$loopback \
  --add-host=git.miti.sh=$loopback \
  --add-host=apps.miti.sh=$loopback \
  --add-host=webdevcat.me=$loopback \
  --add-host=git.webdevcat.me=$loopback \
  --add-host=apps.webdevcat.me=$loopback \
  $image)

docker exec -t $container_id busted

docker exec $container_id openresty -p /opt/app -s stop

is_running=$(docker inspect -f '{{.State.Running}}' $container_id)

if [[ $is_running == "true" ]]; then
  echo "Warning: Docker reports test container is still running"
fi
